# Uses of Enum
org.apache.sling.fsprovider.internal.parser.ContentType

Packages that use ContentType
Package
Description
org.apache.sling.fsprovider.internal.mapper
org.apache.sling.fsprovider.internal.parser

## Uses of ContentType in org.apache.sling.fsprovider.internal.mapper

Constructors in org.apache.sling.fsprovider.internal.mapper with parameters of type ContentType
Modifier
Constructor
Description
``
`ContentFile(File file, String path, String subPath, ContentFileCache contentFileCache, ContentType contentType)`

## Uses of ContentType in org.apache.sling.fsprovider.internal.parser

Methods in org.apache.sling.fsprovider.internal.parser that return ContentType
Modifier and Type
Method
Description
`static ContentType`
ContentType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ContentType[]`
ContentType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.sling.fsprovider.internal.parser with parameters of type ContentType
Modifier and Type
Method
Description
`ContentElement`
ContentFileCache.`get(String path, File file, ContentType contentType)`
Get content.